// -- Base styles ----------------------------------------------------

* {
  @include box-sizing(border-box);
}

body {
  background-color: $bg-color;
  width: 100%;
  color: $text-body-color;
  font-family: $base-font-family;
  font-weight: $base-font-weight;
  height: 100vh;
  overflow: hidden;

  @include font-size(14);
  @include line-height(20);
}

h2 {
  margin-top: 30px;
  color: $text-header-color;
  font-weight: $semi-bold;

  @include font-size(20);
}

h3 {
  color: $text-header-color;
  font-weight: $semi-bold;

  @include font-size(14);
}

h5 {
  color: $text-header-color;
  font-weight: $semi-bold;

  @include font-size(12);
}

a {
  font-weight: $semi-bold;
  color: $primary-color;
  text-decoration: none;

  /* border-bottom: 1px solid $primary-color-light; */
  transition: 1s all ease-in;

  &:active,
  &:focus,
  &:hover {
    color: $primary-color;

    /* border-bottom: 1px solid $primary-color; */
  }
}

a:active,
a:focus,
button::-moz-focus-inner,
input[type="reset"]::-moz-focus-inner,
input[type="button"]::-moz-focus-inner,
input[type="submit"]::-moz-focus-inner,
select::-moz-focus-inner,
input[type="file"] > input[type="button"]::-moz-focus-inner {
  border: 0;
  outline: 0;
}

p {
  @include font-size(14);
  @include line-height(23);

  word-break: break-word;
}

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.bold {
  font-weight: $semi-bold;
}

.inline {
  display: inline-block;
}

.hide {
  display: none;
}

.show {
  display: block;
}

.divider {
  display: inline-block;
  width: 3em;
  border-top: 1px solid #ebeced;
  min-height: 3px;
  margin-top: 3px;
  width: 100%;
}
// -------------------------------------------------------------------
// Content
// -------------------------------------------------------------------

.versions {
  display: none;
  bottom: 0;
  width: 100%;
  color: #bbb7b7;

  @include breakpoint(small) {
    display: block;
  }

  span {
    margin: 0 2% 0 2%;
  }
}

.container {
  text-align: left;
}

.content {
  text-align: center;
  margin: 70px auto 16px;
  width: 90%;
  max-width: 720px;
  background: transparent;
  padding: 0;

  @include transition(all 2s ease-in);
  @include border-radius();

  & > .databox {
    display: inline-block;
    vertical-align: top;
    text-align: left;
    background: white;
    border: 1px solid $light-grey;
    padding: 0;
    width: 100%;
    margin: 8px 0;

    @include border-radius();

    @include breakpoint(medium) {
      width: -moz-calc(33% - 16px);
      width: -webkit-calc(33% - 16px);
      width: calc(33% - 16px);
      margin: 8px;
    }

    &.wide {
      @include breakpoint(medium) {
        width: calc(100% - 16px);
      }
    }

    & > .databox-header {
      border-bottom: 1px solid $light-grey;
      height: 52px;

      & > h2 {
        margin: 0;
        color: $text-header-color;
        font-weight: $semi-bold;
        padding: 16px;
        display: inline-block;

        @include font-size(16);
      }
    }

    .data {
      padding: 0 16px 16px;

      @include transition(opacity 1000ms);

      padding: 0 16px 16px;
    }

    .spinner {
      display: block;
      text-align: center;
    }

    p {
      text-align: left;
      display: inline-block;
      color: $darker-grey;
      font-weight: $regular;
      display: block;
      vertical-align: top;
    }
  }
}
// -------------------------------------------------------------------
// Asset icon svg fix
// -------------------------------------------------------------------

.asset-overview-asset-icon svg,
.content > .assets-main .asset .icon svg {
  /*
  filter: invert(100%);
  -webkit-filter: invert(100%);
  -moz-filter: invert(100%);
  */

  text {
    /* fix for icons without logo */
    color: #fff;
    fill: #fff;
    font-weight: 600 !important;
  }

  #g4249-2 * {
    /* fix for hybridd icon */
    fill: #fff;
  }
}

// -------------------------------------------------------------------
// Keyframes
// -------------------------------------------------------------------
@keyframes expand {
  0% {
    transform: scale(1, 1);
  }

  50% {
    transform: scale(1, 1.01);
  }

  100% {
    transform: scale(1, 1);
  }
}

@keyframes gradient {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0 100%;
  }
}

@keyframes glow {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0.6;
  }

  100% {
    opacity: 1;
  }
}
